//
// Grab the configuration stuff!
//

var fs = require("fs");

module.exports = (function () {

    var getConf = function(filename) {
        return JSON.parse(fs.readFileSync(filename).toString());
    }

    // TODO: should have some way to configure basepath
    var jitsuConf = getConf(process.env.HOME + "/.jitsuconf");
    var userConf = getConf(process.env.HOME + "/" + jitsuConf.userconfig);

    var username = userConf.username;
    var password = userConf.password;

    var url = jitsuConf.protocol + "://"
            + username + ":" + password 
            + "@" + jitsuConf.remoteHost;

    return {
        username: username,
        url: url
    };

})();
